! @(#)vericopy.prg	14.1.1.5 (ESO-DMD) 07/28/00 16:43:42
! ++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!  MIDAS procedure vericopy.prg  to copy the "verify" procedures
!        into the current directory
!  K. Banse     921202, 930628, 950914, 970324, 990329, 000710
!
! ++++++++++++++++++++++++++++++++++++++++++++++++++++++
! 
define/param p1 + C 
! 
if p1(1:3) .eq. "NTT" then
   if aux_mode(1) .le. 1 then
      write/out the NTT option only for Unix...
      return
   endif
! 
   $rm -f ntt-verify.prg
   define/local testdir/c/1/60 "$MID_HOME/test/ntt/ "
   define/local defdir/c/1/2 "./"
   $rm -f ntt-verify.prg load-test.prg star-id.prg
   $ cp {testdir}ntt-verify.prg {defdir}
   $rm -f kcompare.prg imcompare.prg 
   write/keyw testdir/c/1/60 "$MID_HOME/test/prim/ "
   $ cp {testdir}*compare.prg {defdir}
   write/out To execute the NTT verification
   write/out " " enter @@ ntt-verify `ESO-site' `mode'
   write/out with ESO-site = Garching or La Silla 
   write/out and mode = Cursor or "Auto for interactive or automatic mode"
   return
endif
!
! handle in VMS or UNIX
! 
write/out Copying all the necessary procedures/files to current directory 
! 
if aux_mode(1) .le. 1 then		! VMS
   $DELETE/NOLOG/NOCONF all_*.prg.*,creamask.prg.*,works.prg.*
   $DELETE/NOLOG/NOCONF tst*.mt.*,PWDL_*.*.*,FORS*.fits.*,in3d.mt.*
   $DELETE/NOLOG/NOCONF verif*.prg.*,kcompare.prg.*,imcompare.prg.*
   $DELETE/NOLOG/NOCONF veritx.dat.*,veritb.dat.*,veriall.prg.*,*FITS.prg
   ! 
   define/local testdir/c/1/60 "MID_DISK:[&MIDASHOME.&MIDVERS.TEST.PRIM] "
   define/local defdir/c/1/2 "[]"
   $ COPY {testdir}all_*.prg {defdir}
   $ COPY {testdir}verif*.prg {defdir}
   $ COPY {testdir}*compare.prg {defdir}
   $ COPY {testdir}*FITS.prg {defdir}
   $ COPY {testdir}works.prg {defdir}
   $ COPY {testdir}creamask.prg {defdir}
   $ COPY {testdir}veritb.dat {defdir}
   $ COPY {testdir}veritx.dat {defdir}
   $ COPY {testdir}veriall.prg {defdir}
   $ COPY {testdir}*.mt {defdir}
   $ COPY {testdir}dss*.fits {defdir}
   $ COPY {testdir}xcent*.tfits {defdir}
   !
   define/local fitsdir/c/1/60 "MID_DISK:[&MIDASHOME.&MIDVERS.TEST.FITS] "
   $ COPY {fitsdir}verif*.prg {defdir}
   $ COPY {fitsdir}tst*.mt {defdir}

else					! UNIX
   $rm -f all_*.prg creamask.prg works.prg
   $rm -f verif*.prg tst*.mt PWDL_*.*, FORS*.fits in3d.mt
   $rm -f kcompare.prg imcompare.prg *FITS.prg
   $rm -f veritb.dat veritx.dat veriall.prg
   ! 
   define/local testdir/c/1/60 "$MID_HOME/test/prim/ "
   define/local defdir/c/1/2 "./"
   $ cp {testdir}all_*.prg {defdir}
   $ cp {testdir}verif*.prg {defdir}
   $ cp {testdir}*compare.prg {defdir}
   $ cp {testdir}*FITS.prg {defdir}
   $ cp {testdir}works.prg {defdir}
   $ cp {testdir}creamask.prg {defdir}
   $ cp {testdir}veritb.dat {defdir}
   $ cp {testdir}veritx.dat {defdir}
   $ cp {testdir}veriall.prg {defdir}
   $ cp {testdir}*.mt {defdir}
   $ cp {testdir}dss*.fits {defdir}
   $ cp {testdir}xcent*.tfits {defdir}
   !
   define/local fitsdir/c/1/60 "$MID_HOME/test/fits/ "
   $ cp {fitsdir}verif*.prg {defdir}
   $ cp {fitsdir}tst*.mt {defdir}
endif
! 
write/out To execute all verification procedures:
write/out " " execute via @@ veriall display (with display facilities - default)
write/out "             " @@ veriall nodisplay (without display facilities)
write/out Or one by one:
write/out " " execute via @@ verifyX "        " (with display facilities)
write/out "      " or via @@ verifyX 011111 (without display)
write/out "     " (with X=1,2, ... ,8,9,10,11 and t1,t2,dio)
write/out 
write/out "If you have an RGB display (24 bit per pixel), execute also" -
 verify55.prg
write/out 
write/out "If you have the /midas/demo/data directory containing"
write/out "the Midas demo files, do also `@ superverify' to execute all"
write/out automatic (non-interactive) tutorials.
 
